@import "../../../../assets/css/constants.scss";

.pdp-container {
  position: relative;
  display: flex;
  flex-direction: column;
  width: 100%;
  .pdp-slot-one {
    display: flex;
    flex-direction: row;
    width: 100%;
    height: 730px;
    button:after {
      content: "";
      background-image: url("../../../../assets/images/icons/video-play.png");
      height: 15px;
      background-size: contain;
      width: 15px;
      background-repeat: no-repeat;
      margin-left: 5px;
    }
    .product-thumbnail {
      max-height: 150px;
      max-width: 150px;
      width: 20%;
      height: 20%;
      position: absolute;
      top: 43%;
      right: 43%;
      img {
        border-radius: 76px;
      }
    }
  }
  button {
    height: 40px;
    width: 145px;
    border-radius: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    font-size: 12px;
    margin-top: 25px;
    margin-left: 0;
    border: transparent;
  }
  .split-slot {
    display: flex;
    flex-direction: row;
  }
  .pdp-slot-two {
    .slot-two-left {
      width: 40%;
      min-height: 350px;
      max-height: auto;
      display: flex;
      justify-content: center;
      align-items: center;
      background-image: url("../../../../assets/images/strip-bg.png");
      background-repeat: round;
      background-color: $SANED_PRIMARY-COLOR;
      color: $SANED_BTN_PRIMARY;
      text-transform: capitalize;
      font-size: 25px;
    }
    .slot-two-right {
      width: 60%;
      min-height: 350px;
      max-height: auto;
      display: flex;
      align-items: center;
      justify-content: center;
      background-color: $SANED_BTN_PRIMARY;
      color: $PRIMARY_WHITE;
      ul {
        list-style: none;
        margin: 0;
        padding: 0;
        max-width: 400px;
        li {
          padding: 20px;
          position: relative;
          border-bottom: 1px solid #e4d5d57a;
          &:last-child {
            border-bottom: none;
          }
          &:before {
            content: url("../../../../assets/images/icons/star_icon.png");
            margin-top: 4px;
            position: absolute;
            left: -5px;
          }
        }
      }
    }
  }
  .pdp-subscription {
    padding: 100px 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    & > p {
      margin: 15px;
      max-width: 600px;
      text-align: center;
      color: darkgrey;
      line-height: initial;
      font-size: 13px;
    }
    .subscription-pricing {
      max-width: 400px;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
      margin-top: 30px;
      .pdt-main-details,
      .pdp-pdt-detail,
      .pdp-buttons,
      mat-form-field,
      .cart-button {
        width: 100%;
        margin: 0 !important;
      }
      .pdp-buttons,
      .cart-button {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
      }
    }
    .user-title {
      color: darkgrey;
      font-size: 12px;
      font-weight: 700;
      padding: 15px;
      width: 100%;
      text-align: center;
      border-bottom: 1px solid lightgrey;
    }
    .pdp-price {
      border-bottom: 1px solid lightgrey;
      width: 100%;
      text-align: center;
      padding-bottom: 10px;
      margin: 0;
      span {
        color: $SANED_BTN_PRIMARY;
        font-size: 20px;
      }
    }
    .cart-button button {
      border-radius: 10px;
    }
  }
}

.qty-field::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.note{
  width: 530px !important;
  padding-top: 30px !important;
  color: red !important;
}

@media only screen and (max-width: 768px) {
  .pdp-container {
    .pdp-slot-one {
      height: auto !important;
      flex-direction: column;
      button {
        margin-left: 0;
      }
    }
    .split-slot {
      display: flex;
      flex-direction: column;
    }
    .slot-two-left,
    .slot-two-right {
      width: 100% !important;
      ul {
        padding: 15px !important;
      }
    }
  }
}

.breadcrumb {
  font-family: "Roboto-Regular";
  font-size: 0.85em;
  li a {
    color: $SANED_BTN_PRIMARY;
  }
}
.pdp-price {
  font-size: 1.5em;
  margin: 20px 0;
}
.pdp-pdt-image {
  display: flex;
  justify-content: space-around;
  align-items: center;
  background: $SANED_PRIMARY-COLOR;
  height: 350px;
}
.pdp-buttons {
  min-height: 120px;
  .users-qty-feild {
    margin-right: 25px;
  }
  .subscription-main-btn {
    background-color: $SANED_BTN_SECONDARY;
    border-color: $SANED_BTN_SECONDARY;
    color: $PRIMARY_WHITE;
  }
  .atc-btn {
    background-color: $SANED_BTN_PRIMARY;
    border-color: $SANED_BTN_PRIMARY;
    color: $PRIMARY_WHITE;
    outline: none;
  }
  .error-message {
    font-size: 12px;
    color: red;
  }
}
.pdp-subscription-price {
  .subscription-text {
    display: block;
    padding: 15px 0 0 0;
  }
  .pdp-subscription {
    display: flex;
    flex-direction: column;
    margin: 10px 0;
    .subscription-btn {
      display: block;
      margin: 5px 0;
    }
  }
}
.price-plan {
  text-align: center;
  border: 1px solid $SANED_SECONDARY_COLOR;
  border-top-width: 0;
  border-radius: 0 0 6px 6px;
  padding: 15px 15px 15px;
  line-height: 1.5;
  color: #6a6a6a;
  position: relative;
  &::before {
    content: "";
    position: absolute;
    background: $SANED_BTN_SECONDARY;
    top: -5px;
    left: -1px;
    width: calc(100% + 2px);
    height: 5px;
    border-radius: 6px 6px 0 0;
  }
  .price-subscription {
    .main-price {
      display: inline-block;
      font-size: 1.1em;
      font-weight: 600;
    }
  }
}
